--------------------------------------------------
--
-- zNXpCu
--
--	playerjobdata.lua
--
--	var.2006/07/06
--
--------------------------------------------------
--
-- IsPlayer (id) -- id̓vC[LH yes -> 1 no -> 0
--
-- GetPlayerJobName (id) -- vC[EƖ擾
-- Ԃl͊{ʂɏo閼
-- idvC[LŖꍇ̕Ԃl Not Player
--
-- GetPlayerClass (id) -- vC[EƂ̃W擾
-- Ԃl # NX # Q
--
--------------------------------------------------
-- # NX #
--------------------------------------------------
P_CLASS_WEDDING		= 0 -- EFfBOhX^LV[h(̏Ԃł̐E̎擾͕s)
P_CLASS_1		= 1 -- PE
P_CLASS_2_1		= 2 -- Q|PE
P_CLASS_2_2		= 3 -- Q|QE
P_CLASS_HIGH_1		= 4 -- ]PE
P_CLASS_HIGH_2_1	= 5 -- ]Q|PE
P_CLASS_HIGH_2_2	= 6 -- ]Q|QE
P_CLASS_BABY_1		= 7 -- {qPE
P_CLASS_BABY_2_1	= 8 -- {qQ|PE
P_CLASS_BABY_2_2	= 9 -- {qQ|QE
P_CLASS_NIL		= 10 -- EA`l

--------------------------------------------------

JOBNAME1 = {'Novice','Swordman','Magician','Archer','Acolyte','Merchant','Thief','Knight','Priest','Wizard','Blacksmith','Hunter','Assassin','Knight (rider)','Crusader','Monk','Sage','Rogue','Alchemist','Bard','Dancer','Crusader (rider)','Wedding','Super Novice'}
JOBNAME2 = {'Novice High','Swordman High','Magician High','Archer High','Acolyte High','Merchant High','Thief High','Lord Knight','High Priest','High Wizard','White Smith','Sniper','Assassin Cross','Lord Knight (rider)','Paladin','Champion','Professor','Chaser','Creator','Clown','Gypsy','Paladin (rider)','Baby','Baby Swordman','Baby Magician','Baby Archer','Baby Acolyte','Baby Merchant','Baby Thief','Baby Knight','Baby Priest','Baby Wizard','Baby Blacksmith','Baby Hunter','Baby Assassin','Baby Knight (rider)','Baby Crusader','Baby Monk','Baby Sage','Baby Rogue','Baby Alchemist','Baby Bard','Baby Dancer','Baby Crusader (rider)','Super Baby','TaeKwon','Star Gladiator','Star Gladiator','Soul Linker'}

--------------------------------------------------

function IsPlayer (id)
	if (id < 100000) then
		return 0
	end

	local Ty = GetV(7,id)

	if (0 <= Ty and Ty <= 23) then
		return 1
	elseif (4001 <= Ty and Ty <= 4049) then
		return 1
	else
		return 0
	end
end

--------------------------------------------------

function GetPlayerJobName (id)
	if (IsPlayer (id) == 1) then
		local Ty = GetV(7,id)
		if (0 <= Ty and Ty <= 23) then
			return JOBNAME1[Ty+1]
		elseif (4001 <= Ty and Ty <= 4049) then
			return JOBNAME2[Ty-4000]
		end
	else
		return 'Not Player'
	end
end

--------------------------------------------------

function GetPlayerClass (id)
	if (IsPlayer (id) == 1) then
		local Ty = GetV(7,id)
		if (0 <= Ty and Ty <= 6 or Ty == 23 or Ty == 4046) then
			return 1
		elseif (7 <= Ty and Ty <= 13 or Ty == 4047 or Ty == 4048) then
			return 2
		elseif (14 <= Ty and Ty <= 21 or Ty == 4049) then
			return 3
		elseif (Ty == 22) then
			return 0
		elseif (4001 <= Ty and Ty <= 4007) then
			return 4
		elseif (4008 <= Ty and Ty <= 4014) then
			return 5
		elseif (4015 <= Ty and Ty <= 4022) then
			return 6
		elseif (4023 <= Ty and Ty <= 4029 or Ty == 4045) then
			return 7
		elseif (4030 <= Ty and Ty <= 4036) then
			return 8
		elseif (4037 <= Ty and Ty <= 4044) then
			return 9
		end
	else
		return 10
	end
end
